<?php
/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

class getProfileURLTab extends cbTabHandler {
	
   function getProfileURLTab() {
      $this->cbTabHandler();
   }
	
	/**
	* Generates the HTML to display the user profile tab
	* @param object tab reflecting the tab database entry
	* @param object mosUser reflecting the user being displayed
	* @param int 1 for front-end, 2 for back-end
	* @returns mixed : either string HTML for tab content, or false if ErrorMSG generated
	*/
   function getDisplayTab($tab,$user,$ui) {
		global $database, $my, $mosConfig_live_site;
		$profileURL = $mosConfig_live_site.'/';

		$plugin_folder = 'components/com_comprofiler/plugin/user/plug_profileurl';
		$database->setQuery( "SELECT cb.user_id, cb.pu_profilename, jos.username " .
							"FROM #__comprofiler cb " .
							"LEFT JOIN #__users jos ON cb.user_id = jos.id " .
							"WHERE cb.user_id=".$user->id );
		$row = null;
		$database->loadObject($row);
		if ($row->pu_profilename && $row->pu_profilename != "")
			$profileName = $row->pu_profilename;
		else
			$profileName = $row->username;

		$profileURL .= $profileName;
		$return = null;
		$return .= '<script language="javascript" type="text/javascript" src="'.$mosConfig_live_site.'/'.$plugin_folder.'/js/profileurl.js"></script>';
		$return .= '<script language="javascript" type="text/javascript" src="'.$mosConfig_live_site.'/'.$plugin_folder.'/js/profileurl_ajax.js"></script>';
		$return .= '<form name="formProfileURL" id="formProfileURL" method="post" onSubmit="return false">';
		$return .= '<div name="pu_output" id="pu_output">';
		$return .= '<table cellpadding="5" cellspacing="0" border="0" width="100%" class="cbStatusList"><tr><td  class="sectiontableentry1" width="100" style="font-weight:bold;">Profile URL</td>';
		$return .= '<td class="sectiontableentry1"><a href="'.$profileURL.'" title="'.$user->username.'\'s URL">'.$profileURL.'</a>';
		if ($my->id == $user->id) {
			$return .= ' [<a href="javascript:void(0);" title="Edit your profile name" onClick="pu_editName(\''.$mosConfig_live_site.'\',\''.$profileName.'\');">edit url</a>]';
		}
		$return .= '</td></tr></table>';
		$return .= '</div>';
		$return .= '<input type="hidden" name="pu_newName" id="pu_newName" />';
		$return .= '<input type="hidden" name="mosConfig_live_site" id="mosConfig_live_site" value="'.$mosConfig_live_site.'" />';
		$return .= '<input type="hidden" name="pu_element" id="pu_element" value="profileurl" />';
		$return .= '<input type="hidden" name="userid" id="userid" value="'.$user->id.'" />';
		$return .= '</form>';
		
		return $return;
	}
	
	//The 2 functions below is to address the CB bug about not saving text type columns in #__comprofiler on user update
	function getEditTab($tab,$user,$ui) {
		$cookie_str = $user->pu_profilename;
		session_start();
		setcookie ("pu_profilename", $cookie_str, time()+14400);
		$_SESSION['pu_profilename'] = $cookie_str;
	}
	function saveEditTab($tab, &$user, $ui, $postdata) {
		$user->pu_profilename = $_SESSION['pu_profilename'];
		if (isset($_COOKIE["pu_profilename"])) {
			$user->pu_profilename = $_COOKIE["pu_profilename"];
			setcookie ("pu_profilename", "", time() - 3600);
		}
		unset($_SESSION['pu_profilename']);
	}
	//end of class
}

?>
